package main
import "testing"
import "./first"

func TestFac1(t *testing.T) {
  got := first.Fac(5)
  if got != 120 {
    t.Errorf("first.Fac(5) = %d; want 120", got)
  }
}

func TestFac2(t *testing.T) {
  got := first.Fac(1)
  if got != 1 {
    t.Errorf("first.Fac(1) = %d; want 1", got)
  }
}

func TestFac3(t *testing.T) {
  got := first.Fac(12)
  if got != 479001600 {
    t.Errorf("first.Fac(12) = %d; want 479001600", got)
  }
}

func TestQuersumme1(t *testing.T) {
  got := first.Quersumme(123)
  if got != 6 {
    t.Errorf("first.Quersumme(123) = %d; want 6", got)
  }
}


func TestQuersumme2(t *testing.T) {
  got := first.Quersumme(1234)
  if got != 1 {
    t.Errorf("first.Quersumme(1234) = %d; want 1", got)
  }
}

func TestQuersumme3(t *testing.T) {
  got := first.Quersumme(99999999999)
  if got != 9 {
    t.Errorf("first.Quersumme(99999999999) = %d; want 9", got)
  }
}


func TestFromBinary1(t *testing.T) {
  got := first.FromBinary("101010")
  if got != 42 {
    t.Errorf("first.FromBinary(\"101010\") = %d; want 42", got)
  }
}

func TestFromBinary2(t *testing.T) {
  got := first.FromBinary("11111111")
  if got != 255 {
    t.Errorf("first.FromBinary(\"11111111\") = %d; want 255", got)
  }
}

func TestFromBinary3(t *testing.T) {
  got := first.FromBinary("00000001")
  if got != 1 {
    t.Errorf("first.FromBinary(\"00000001\") = %d; want 1", got)
  }
}
  